Bug 1732117 - service template update with REST API result undefined method `key?' for nil:NilClass
Summary: service template update with REST API result undefined method `key?' for nil:...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.10.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.8
Assignee: drew uhlmann
QA Contact: Parthvi Vala
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1716847
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-22 17:54 UTC by Satoe Imaishi
Modified: 2019-11-28 18:47 UTC (History)
11 users (show)

Fixed In Version: 5.10.8.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1716847
Environment:
tested in both with 5.10.0.33 and 5.10.4.3
Last Closed: 2019-08-13 08:35:41 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2466 None None None 2019-08-13 08:35:48 UTC

Comment 2 CFME Bot 2019-07-22 20:56:30 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/e4123695b34a882714b0de72d91ef417d22a1a5c
commit e4123695b34a882714b0de72d91ef417d22a1a5c
Author:     Brandon Dunne <bdunne@redhat.com>
AuthorDate: Mon Jul 22 11:20:09 2019 -0400
Commit:     Brandon Dunne <bdunne@redhat.com>
CommitDate: Mon Jul 22 11:20:09 2019 -0400

    Merge pull request #18981 from d-m-u/adding_return_sans_config_opts_to_playbook_templates

    Don't update playbook templates unless config_info is present

    (cherry picked from commit 4e02f989cbdc3fcbdac452ebc81ac61828f7fe1f)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1732117

 app/models/service_template_ansible_playbook.rb | 7 +-
 1 file changed, 6 insertions(+), 1 deletion(-)

Comment 3 Parthvi Vala 2019-07-31 09:06:13 UTC
FIXED. Verified on 5.10.8.0.20190729222758_e725e22.

Comment 5 errata-xmlrpc 2019-08-13 08:35:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2466


Note You need to log in before you can comment on or make changes to this bug.